PROCEDURE dialog_Setup;
CONST
	kStartStringAt = 13120;
	kOK             = 1;
	kCancel         = 2;
	kAlignGroupText = 4;
	kAlignGroupEdit = 5;
	kAlignEdgeText  = 6;
	kAlignEdgePopup = 7;
	kAlignModeText  = 8;
	kAlignModePopup = 9;

	kRight          = 1;
	kBottom         = 2;
	kLeft           = 3;
	kResize         = 0;
	kShift          = 1;
VAR
	dialog            :INTEGER;
	gAlignGroupEdit   :LONGINT;
	gAlignEdgePopupInt :INTEGER;
	gAlignEdgePopupStr :STRING;
	gAlignModePopupInt :INTEGER;
	gAlignModePopupStr :STRING;
	xmlID             :LONGINT;
	cnt               :INTEGER;
	int               :INTEGER;
	boo               :BOOLEAN;
	str               :STRING;
	ndx               :INTEGER;


FUNCTION GetStr(ndx :INTEGER) :STRING;
BEGIN
	GetResourceString(GetStr, kStartStringAt, ndx);
END;

FUNCTION GetHelpStr(ndx :INTEGER) :STRING;
BEGIN
	GetResourceString(GetHelpStr, kStartStringAt + 1, ndx);
END;

BEGIN
	dialog := CreateLayout(GetStr( 3), True, GetStr(kOK), GetStr(kCancel));
	CreateStaticText          (dialog, kAlignGroupText,  GetStr(kAlignGroupText), -1);
	CreateEditText            (dialog, kAlignGroupEdit,  '', 25);
	CreateStaticText          (dialog, kAlignEdgeText,   GetStr(kAlignEdgeText), -1);
	CreatePulldownMenu        (dialog, kAlignEdgePopup,  25);
	CreateStaticText          (dialog, kAlignModeText,   GetStr(kAlignModeText), -1);
	CreatePulldownMenu        (dialog, kAlignModePopup,  25);
	SetFirstLayoutItem(dialog, kAlignGroupText);
	SetRightItem      (dialog, kAlignGroupText,  kAlignGroupEdit,  0, 0);
	SetBelowItem      (dialog, kAlignGroupText,  kAlignEdgeText,   0, 0);
	SetRightItem      (dialog, kAlignEdgeText,   kAlignEdgePopup,  0, 0);
	SetBelowItem      (dialog, kAlignEdgeText,   kAlignModeText,   0, 0);
	SetRightItem      (dialog, kAlignModeText,   kAlignModePopup,  0, 0);

	AlignItemEdge(dialog, kAlignEdgePopup,  kLeft,    2, kShift);
	AlignItemEdge(dialog, kAlignModePopup,  kLeft,    2, kShift);
	AlignItemEdge(dialog, kAlignGroupEdit,  kLeft,    2, kShift);
	FOR cnt := 1 TO 9 DO SetHelpText(dialog, cnt, GetHelpStr(cnt));
END;
RUN(dialog_Setup);

